Validate a poll vote
POST
/cms/poll/{id}/validate
const url = 'https://api.example.com/cms/poll/example/validate';const options = { method: 'POST', headers: { 'API-Key': '<API-Key>', Authorization: 'Bearer <token>', Token: '<Token>', 'Content-Type': 'application/json' }, body: '{"phone_number":"example","code":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.example.com/cms/poll/example/validate \ --header 'API-Key: <API-Key>' \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Token: <Token>' \ --data '{ "phone_number": "example", "code": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Validation payload
Media typeapplication/json
object
phone_number
required
Phone number for SMS validation
string
code
required
Validation code received via SMS
string
Example generated
{ "phone_number": "example", "code": "example"}Responses
Section titled “Responses”Vote recorded
Media typeapplication/json
Poll
API representation of a poll
object
id
Poll ID (numeric string)
string
timestamp
Timestamp, MySQL datetime (Y-m-d H:i:s)
string
question
Question
string
choices
Choices
Array<object>
object
num
Choice number
integer
text
Choice text
string
image_url
Choice image URL (only when the choice has an image)
string
votes
Votes
integer
slug
Slug
string
category
PollCategory
API representation of a poll category
object
id
Category ID (numeric string)
string
name
Name
string
results
Results, keyed by choice number, plus a total key with the total number of votes
message
Message
string
onlyLoggedIn
Only logged in (“0” or “1”)
string
endDate
End date
string
voted
Voted (only true when voting)
boolean
voted_choice
closed
Closed (“0” or “1”)
string
Example
{ "id": "7", "timestamp": "2024-12-17 16:32:19", "choices": [ { "num": 1, "text": "I like this" } ], "category": { "id": "1" }, "image": false, "results": { "1": { "value": 16, "percentage": "100.0" }, "2": { "value": 0, "percentage": "0.0" }, "total": 16 }, "onlyLoggedIn": "0", "voted_choice": false, "closed": "0"}